### R code from vignette source 'PamGeneMixed.Rnw'

###################################################
### code chunk number 1: config
###################################################
options(width = 80)
options(continue=" ")
options(prompt="R> ")
set.seed(123)
#setwd("C:/BuildRpackage/S4Pam/vignettes/")


###################################################
### code chunk number 2: loadPackage
###################################################
library(PamGeneMixed)
#packageDescription("PamGeneMixed")


###################################################
### code chunk number 3: PamGeneMixed.Rnw:78-80
###################################################
data(PamChipData)
PamChipData[c(1:5,500:505),1:10]


###################################################
### code chunk number 4: PamGeneMixed.Rnw:83-85
###################################################
UTime<-unique(PamChipData[,c("Time")])
UTime


###################################################
### code chunk number 5: PamGeneMixed.Rnw:89-93
###################################################
RnRcellines<-unique(PamChipData[,c("CellName","ResState")])
rownames(RnRcellines)<-1:20
RnRcellines



###################################################
### code chunk number 6: PamGeneMixed.Rnw:97-99
###################################################
Plates<-unique(PamChipData[,c("ArrayNum")])
Plates


###################################################
### code chunk number 7: PamGeneMixed.Rnw:103-106
###################################################
PeptidesNames<-setdiff(colnames(PamChipData),
        c("ID", "ResState", "ArrayNum", "CellName", "TreatName","Time"))
PeptidesNames[1:10]


###################################################
### code chunk number 8: FigRep1
###################################################
ObservedRepProfiles(pepname="Pep1",DataMat=PamChipData,
    cells="SKBR3",Trt.Group=c("Treatment","Control"),Res="R",log.true=FALSE)


###################################################
### code chunk number 9: FigRep1
###################################################
pdf("FigRep1.pdf",width=8,height=4)
ObservedRepProfiles(pepname="Pep1",DataMat=PamChipData,
    cells="SKBR3",Trt.Group=c("Treatment","Control"),Res="R",log.true=FALSE)
dev.off()


###################################################
### code chunk number 10: FigRep2
###################################################
    ObservedRepProfiles(pepname="Pep5",DataMat=PamChipData,
    cells="DU145",Trt.Group=c("Treatment","Control"),Res="R",log.true=FALSE)


###################################################
### code chunk number 11: FigRep2
###################################################
pdf("FigRep2.pdf",width=8,height=4)
ObservedRepProfiles(pepname="Pep5",DataMat=PamChipData,
    cells="DU145",Trt.Group=c("Treatment","Control"),Res="R",log.true=FALSE)
dev.off()


###################################################
### code chunk number 12: FigRep3
###################################################
    ObservedRepProfiles(pepname="Pep130",DataMat=PamChipData,
    cells="SUM159",Trt.Group="Treatment",Res="R",log.true=TRUE)


###################################################
### code chunk number 13: FigRep3
###################################################
pdf("FigRep3.pdf",width=8,height=4)
    ObservedRepProfiles(pepname="Pep130",DataMat=PamChipData,
    cells="SUM159",Trt.Group=c("Treatment","Control"),Res="R",log.true=TRUE)
dev.off()


###################################################
### code chunk number 14: Figcel1
###################################################
ObservedCellProfiles(pepname="Pep130",DataMat=PamChipData,
Trt.Group=c("Treatment","Control"),Res=c("R","NR"),log.true=TRUE)


###################################################
### code chunk number 15: Figcel1
###################################################
pdf("Figcel1.pdf",width=8,height=8)
ObservedCellProfiles(pepname="Pep130",DataMat=PamChipData,
Trt.Group=c("Treatment","Control"),Res=c("R","NR"),log.true=TRUE)
dev.off()


###################################################
### code chunk number 16: FigGroup1
###################################################
ObservedGroupProfiles(pepname="Pep58",DataMat=PamChipData,
Trt.Group=c("Treatment","Control"),Res=c("R","NR"),log.true=TRUE)


###################################################
### code chunk number 17: FigGroup1
###################################################
pdf("FigGroup1.pdf",width=8,height=8)
ObservedGroupProfiles(pepname="Pep58",DataMat=PamChipData,
Trt.Group=c("Treatment","Control"),Res=c("R","NR"),log.true=TRUE)
dev.off()


###################################################
### code chunk number 18: CellCleaned1
###################################################
PreProcessPam(p   =1, cel =11,   d   =2, PamS=PamChipData, plotting=T )


###################################################
### code chunk number 19: CellCleaned1
###################################################
pdf("CellCleaned1.pdf",width=8,height=4)
PreProcessPam(p   =1, cel =11,   d   =2, PamS=PamChipData, plotting=T )
dev.off()


###################################################
### code chunk number 20: CellCleaned2
###################################################
PreProcessPam(p   =6, cel =4,   d   =2, PamS=PamChipData, plotting=T )


###################################################
### code chunk number 21: CellCleaned2
###################################################
pdf("CellCleaned2.pdf",width=8,height=4)
PreProcessPam(p   =6, cel =4,   d   =2, PamS=PamChipData, plotting=T )
dev.off()


###################################################
### code chunk number 22: PamGeneMixed.Rnw:299-305 (eval = FALSE)
###################################################
## for (i in 1:148){
##     for (cc in 1:20){
##         par(ask=T)
##         PreProcessPam(p   =i, cel =cc,   d   =2, PamS=PamChipData, plotting=T )
##     }
## }


###################################################
### code chunk number 23: PamGeneMixed.Rnw:313-317
###################################################
PeptidesNames<-setdiff(colnames(PamChipData),
c("ID", "ResState", "ArrayNum", "CellName", "TreatName","Time"))

PreProcessAllPeptides(pep.names=PeptidesNames[1:5],PamSig=PamChipData)


###################################################
### code chunk number 24: PamGeneMixed.Rnw:341-377
###################################################
data(TestPepModelData)
head(TestPepModelData)

PTx<-TestPepModelData

# log2 transform the response 
PTx$y<-log2(PTx[,c("Peptide")]) 

PTx<-PTx[PTx[,c("ResState")]=="R",]

n.groups<-length(unique(PTx[,c("ResState")]))*length(unique(PTx[,c("TreatName")]))
#n.groups

xhlp<-lm(y~-1+TreatName,data=PTx,x=TRUE)$x
for (i in 1:n.groups) PTx$ResTrt[xhlp[,i]==1]<-i
PTx$ResTrt<-as.factor(PTx$ResTrt)
levels(PTx$ResTrt)<-colnames(xhlp)


#unique cell lines
cellLines<-levels(PTx$CellName)
PTx$ResState<-as.factor(PTx$ResState)

# create interaction between Treatment and cell lines
PTx$CellLineResTrt<-0
xhlp<-lm(y~-1+CellName:TreatName,data=PTx,x=TRUE)$x
ncols<-ncol(xhlp)
for (i in 1:ncols) PTx$CellLineResTrt[xhlp[,i]==1]<-i
PTx$CellLineResTrt<-as.factor(PTx$CellLineResTrt)
levels(PTx$CellLineResTrt)<-colnames(xhlp)


M1gamm<-PamGeneMix(formula=y~-1+ResTrt+s(time,by=ResTrt,bs="tp",m=3),
        PTx=PTx,Random.structure=list(ArrayNum=~1,
        CellLineResTrt=~1+time+time2,ID=~1+time+time2),
        Control.list=list(maxIter=200, msMaxIter=250 ,msMaxEval=1000,apVar=TRUE))


###################################################
### code chunk number 25: PamGeneMixed.Rnw:382-384
###################################################
#save(M1gamm,file="D:\\Projects\\PamGene\\RpamChip\\Rscripts\\M1gamm.RData")
#load("data/M1gamm.RData")


###################################################
### code chunk number 26: PamGeneMixed.Rnw:388-399
###################################################
VisualizePamGeneMix(M1gamm,plot.type="smooth.fit")

VisualizePamGeneMix(M1gamm,plot.type="cellline")

VisualizePamGeneMix(M1gamm, plot.type="SubSpeVelocity")

VisualizePamGeneMix(M1gamm,plot.type="replicate",name.cell= "A431" )

VisualizePamGeneMix(M1gamm,plot.type="velocity")

VisualizePamGeneMix(M1gamm,plot.type="velocityCI")


###################################################
### code chunk number 27: PamGeneMixed.Rnw:403-426
###################################################
pdf("Smooth.pdf",width=8,height=4)
VisualizePamGeneMix(M1gamm,plot.type="smooth.fit")
dev.off()

pdf("cellline.pdf",width=8,height=4)
VisualizePamGeneMix(M1gamm,plot.type="cellline")
dev.off()

pdf("SubSpeVelocity.pdf",width=8,height=4)
VisualizePamGeneMix(M1gamm, plot.type="SubSpeVelocity")
dev.off()

pdf("replicate.pdf",width=8,height=4)
VisualizePamGeneMix(M1gamm,plot.type="replicate",name.cell= "A431" )
dev.off()

pdf("velocity.pdf",width=8,height=4)
VisualizePamGeneMix(M1gamm,plot.type="velocity")
dev.off()

pdf("velocityCI.pdf",width=8,height=4)
VisualizePamGeneMix(M1gamm,plot.type="velocityCI")
dev.off()


###################################################
### code chunk number 28: PamGeneMixed.Rnw:465-466 (eval = FALSE)
###################################################
## summary(M1gamm)


###################################################
### code chunk number 29: PamGeneMixed.Rnw:473-477 (eval = FALSE)
###################################################
## M2gamm<-PamGeneMix(formula=y~-1+ResTrt+s(time,by=ResTrt,bs="tp",m=3),
##         PTx=PTx,Random.structure=list(ArrayNum=~1,
##         CellName=~1+time+time2,ID=~1+time+time2),
##         Control.list=list(maxIter=200, msMaxIter=250 ,msMaxEval=1000,apVar=TRUE))


###################################################
### code chunk number 30: PamGeneMixed.Rnw:486-517 (eval = FALSE)
###################################################
## #-----------:  ------------------
## data(TestPepModelData)
## 
## 
## PTx<-TestPepModelData
## 
## 
## # log2 transform the response 
## PTx$y<-log2(PTx[,c("Peptide")]) 
## 
## 
## # we now create interaction between ResState and Treatment as follows.
## 
## n.groups<-length(unique(PTx[,c("ResState")]))*length(unique(PTx[,c("TreatName")]))
## PTx$ResTrt<-0
## xhlp<-lm(y~-1+ResState:TreatName,data=PTx,x=TRUE)$x
## for (i in 1:n.groups) PTx$ResTrt[xhlp[,i]==1]<-i
## PTx$ResTrt<-as.factor(PTx$ResTrt)
## levels(PTx$ResTrt)<-colnames(xhlp)
## 
## #unique cell lines
## cellLines<-levels(PTx$CellName)
## PTx$ResState<-as.factor(PTx$ResState)
## 
## # create interaction between Treatment and cell lines
## PTx$CellLineResTrt<-0
## xhlp<-lm(y~-1+CellName:TreatName,data=PTx,x=TRUE)$x
## ncols<-ncol(xhlp)
## for (i in 1:ncols) PTx$CellLineResTrt[xhlp[,i]==1]<-i
## PTx$CellLineResTrt<-as.factor(PTx$CellLineResTrt)
## levels(PTx$CellLineResTrt)<-colnames(xhlp)


###################################################
### code chunk number 31: PamGeneMixed.Rnw:536-546 (eval = FALSE)
###################################################
## system.time(
## M3gamm<-PamGeneMix(formula=y~-1+ResTrt+s(time,by=ResTrt,bs="tp",m=3),
##         Weights=varIdent(form=~1|ResTrt) ,
##         PTx=PTx,Random.structure=list(ArrayNum=~1,
##         CellLineResTrt=~1+time+time2,ID=~1+time+time2),
##         Control.list=list(maxIter=200, msMaxIter=250 ,msMaxEval=1000,apVar=TRUE))
## )
## 
## 
## M3gamm


###################################################
### code chunk number 32: PamGeneMixed.Rnw:549-551
###################################################
#save(M3gamm,file="D:\\Projects\\PamGene\\RpamChip\\Rscripts\\M3gamm.RData")
#load("data/M3gamm.RData")


###################################################
### code chunk number 33: smoothM3 (eval = FALSE)
###################################################
## VisualizePamGeneMix(M3gamm,plot.type="smooth.fit")


###################################################
### code chunk number 34: velocityCIM3 (eval = FALSE)
###################################################
## VisualizePamGeneMix(M3gamm,plot.type="velocityCI")


###################################################
### code chunk number 35: PamGeneMixed.Rnw:582-583 (eval = FALSE)
###################################################
## testVarCom(M3gamm)  


###################################################
### code chunk number 36: PamGeneMixed.Rnw:590-607 (eval = FALSE)
###################################################
##     data(PamChipData)
##     
##     PeptidesNames<-setdiff(colnames(PamChipData),
##     c("ID", "ResState", "ArrayNum", "CellName", "TreatName","Time"))
##     
##     #------- only two groups in the data -------------------
##     temp1<-PreProcessAllPeptides(pep.names=PeptidesNames[1:20],
##     PamSig=PamChipData[PamChipData[,c("ResState")]=="R",],PathOutPut="C:/Temp")
##     temp1
##     
##     #-----------------------------------
##     Results1<-AutoPamGeneMix(formula=y~-1+ResTrt+s(time,by=ResTrt,bs="tp",m=3),
##             Weights=varIdent(form=~1),
##             Random.structure=list(ArrayNum=~1,
##             CellLineResTrt=~1+time+time2,ID=~1+time+time2),
##             temp1,PathOutPut="C:/FittedGamm")
##  


###################################################
### code chunk number 37: PamGeneMixed.Rnw:612-617 (eval = FALSE)
###################################################
## Results2<-AutoPamGeneMix(formula=y~-1+ResTrt+s(time,by=ResTrt,bs="tp",m=3),
##           Weights=varIdent(form=~1),
##           Random.structure=list(ArrayNum=~1,
##           CellLineResTrt=~1+time+time2,ID=~1+time+time2),
##           temp1,TestAt=30,PathOutPut="C:/FittedGamm")


###################################################
### code chunk number 38: PamGeneMixed.Rnw:623-639 (eval = FALSE)
###################################################
## #------- Four groups in the data ---
## #-Preprocessing step
## 
##     temp2<-PreProcessAllPeptides(pep.names=PeptidesNames,
##     PamSig=PamChipData,PathOutPut="C:/Temp")
##     temp2
##     
## #  Fit the model for each peptide
## #  NOTE: This will take considerable time depending on your system speed.
## ResultsAll<-AutoPamGeneMix(formula=y~-1+ResTrt+s(time,by=ResTrt,bs="tp",m=3),
##              Weights=varIdent(form=~1|ResTrt),
##              Random.structure=list(ArrayNum=~1,
##             CellLineResTrt=~1+time+time2,ID=~1+time+time2),
##              temp2,TestAt=30,PathOutPut="C:/FittedGamm")
##                        
## #save(ResultsAll,file="D:\\Projects\\PamGene\\RpamChip\\Rscripts\\ResultsAll.RData")


###################################################
### code chunk number 39: PamGeneMixed.Rnw:646-648
###################################################
pathdata<-system.file("doc/data",package = "PamGeneMixed")
load(paste(pathdata,"/ResultsAll.RData",sep=""))


###################################################
### code chunk number 40: PamGeneMixed.Rnw:652-653
###################################################
show(ResultsAll)


###################################################
### code chunk number 41: Volcano (eval = FALSE)
###################################################
## Results<-VolcanoPam(ResultsAll,Topp=5,plotting=TRUE)


###################################################
### code chunk number 42: Volcano (eval = FALSE)
###################################################
## pdf("Volcano.pdf")
## Results<-VolcanoPam(ResultsAll,Topp=5,plotting=TRUE)
## dev.off()


